package com.cmvr.ti.service.ex;

import com.alibaba.fastjson2.JSONObject;
import com.cmvr.evaluation.service.ExTiProjectService;
import com.cmvr.ti.service.ITiProjectService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

@Service
@RequiredArgsConstructor
public class ExTiProjectServiceImpl implements ExTiProjectService {

    private final ITiProjectService tiProjectService;

    @Override
    public JSONObject queryById(String id) {
        return JSONObject.from(tiProjectService.getById(id));
    }

    @Override
    public boolean updateProjectStatus(String projectId, Integer status) {
        return  tiProjectService.updateProjectStatus(projectId, status);
    }
}
